Bug 14883 - Librarians are not warned if patron is restricted when placing holds
Summary: Librarians are not warned if patron is restricted when placing holds
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 14882
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 14:43 UTC by Kyle M Hall
Modified: 2016-06-21 21:40 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14883 - Librarians are not warned if patron is restricted when placing holds (2.60 KB, patch)
2015-09-23 14:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
[Signed-off] Bug 14883 - Librarians are not warned if patron is restricted when placing holds (2.76 KB, patch)
2015-09-24 06:50 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14883 - Librarians are not warned if patron is restricted when placing holds (2.81 KB, patch)
2015-09-24 10:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-09-23 14:43:44 UTC
Librarians should be warned that a patron is restricted when placing holds.
Comment 1 Kyle M Hall 2015-09-23 14:44:11 UTC
Librarians should be warned that a patron is restricted when placing holds, as they are warned that a patron's acount has expired.
Comment 2 Kyle M Hall 2015-09-23 14:45:37 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2015-09-24 06:50:43 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-09-24 10:53:03 UTC
Created attachment 42839 [details] [review]
Bug 14883 - Librarians are not warned if patron is restricted when placing holds

Librarians should be warned that a patron is restricted when placing
holds, as they are warned that a patron's acount has expired.

Test Plan:
1) Apply this patch
2) Add a restriction for a patron
3) Attempt to place a hold for that patron
4) Note the notice at the top notifying you that the patron is restricted

Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2015-09-24 10:54:34 UTC
It would have made sense to use the IsDebarred method from the Borrowers TT plugin, but to keep consistency with how it's done at the OPAC, it's certainly preferable to stick this way.
Comment 6 Tomás Cohen Arazi 2015-09-25 18:44:25 UTC
Patch pushed to master.

Thanks Kyle!